package example.shop.servlets;

import example.shop.Constants;
import example.shop.data.DataManager;

import javax.servlet.http.*;
import javax.servlet.*;
import java.io.*;
import java.util.Vector;

public class LoginServlet extends HttpServlet {

	public void doGet( HttpServletRequest request,
			   HttpServletResponse response)
			  throws ServletException, IOException {

		String username = request.getParameter("username");
		String password = request.getParameter("password");

        if ((username != null) && (password != null) && (username.equals(password))) {

            final HttpSession session = request.getSession();
            session.setAttribute(Constants.LOGGED_USER, username);

            DataManager dataMan = new DataManager(getServletContext().getRealPath(""));
            session.setAttribute(Constants.SESSIONKEY_DATAMAN,dataMan);

            Vector data = new Vector(dataMan.getData());
            session.setAttribute(Constants.DATA_VECTOR, data);

            System.out.println("Login successful");
            response.sendRedirect("main.jsp");
		} else {
			System.out.println("       Login failed");
			response.sendRedirect("index.jsp");
		}
	}

	public void doPost( HttpServletRequest request,
			    HttpServletResponse response)
			    throws ServletException, IOException {
		doGet(request, response);
	}
}